1. Pay-Out
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Errors
  • 5. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
    • Webhook Setup
  • 6. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • Trust Payments
    • Worldpay
  • 7. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Forumpay
      • Payone
      • WorldPay
      • Gigadat
    • Pay-Out
      • Forumpay
        POST
      • Payone
        POST
  • Schemas
    • TransactionData
  1. Pay-Out

Payone

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
      "pspType": "PAYONE",
      "type": "PAYOUT",
      "isTestMode": false,
      "baseamount": 10.00,
      "currency": "EUR",
      "currencyCode": "EUR",
      "userId": "000000000000000000000001",
      "email": "merchant-user@example.com",
      "firstName": "John",
      "lastName": "Test",
      "phone": "07700900000"
    }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{COMPANY_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
      "pspType": "PAYONE",
      "type": "PAYOUT",
      "isTestMode": false,
      "baseamount": 10.00,
      "currency": "EUR",
      "currencyCode": "EUR",
      "userId": "000000000000000000000001",
      "email": "merchant-user@example.com",
      "firstName": "John",
      "lastName": "Test",
      "phone": "07700900000"
    }'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Withdraw request successfully processed",
  "isSuccess": true,
  "data": {
    "success": true,
    "message": "Withdraw request successfully processed",
    "withdraw": {
      "client": "ExampleMerchant",
      "brand": "ExampleMerchant",
      "userId": "000000000000000000000001",
      "transactionId": "<payone-transaction-id>",
      "first_name": "John",
      "last_name": "Test",
      "email": "merchant-user@example.com",
      "phone": "07700900000",
      "userIp": "1.2.3.4",
      "currency": "EUR",
      "siteUrl": "https://your-site.com/operations",
      "amount": "10.00",
      "date": "2026-05-11",
      "status": "Pending"
    },
    "transactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "merchantReference": "",
    "amount": 10
  }
}
🟠400
🔴500
Modified at 2026-05-11 15:24:55
Previous
Forumpay
Next
TransactionData
Built with